4Suite™ API Documentation

# ► Module Ft.Xml.ThirdParty.Xvif.rng

Classes: Attribute, Choice, Context, Data, Define, Div, Element, Empty, Except, Grammar, Group, Interleave, List, Mixed, NameClass, NotAllowed, OneOrMore, Optional, PSEUDO_TEXT_NODE, Param, PatternRef, PseudoTextNode, QName, Ref, RngParser, Start, Text, Undefined, Value, ZeroOrMore, rngTypeLib |  |  |  | Functions: ImportModule |  |  |  | Globals: IMPORT_PREFIX, RngAbstractException, RngSchemaInvalidException, RngSchemaInvalidRecursionException, XMLNS_NAMESPACE, ascii_letters, ascii_lowercase, ascii_uppercase, digits, empty, hexdigits, letters, lowercase, notAllowed, octdigits, printable, punctuation, undef, undefined, uppercase, whitespace

## Classes

class Attribute(Ft.Xml.ThirdParty.Xvif.rng._Container, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self, nc=None, p=<Ft.Xml.ThirdParty.Xvif.rng.Text instance at 0xb77fb1ec>)
    Overrides: __init__ from class _Container
  __str__(self)
    Overrides: __str__ from class _Container
  append(self, p)
    Overrides: append from class _Container
  checkAttributeContent(self)
    Overrides: checkAttributeContent from class _Container
  defaultNs(self, context)
    Overrides: defaultNs from class _Callback
  deriv(self, node)
    Overrides: deriv from class _Container
  nullable(self)
    Overrides: nullable from class _Container
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Container
  set_name(self, context, localName)
  startElementNS(self, schema, name, qname, attrs)
    Overrides: startElementNS from class _Callback
  subPatterns(self)
    Overrides: subPatterns from class _Container

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Container

  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Pattern
  endElementNS(self, schema, name, qname)
  expand(self)
    Overrides: expand from class _Pattern
  simplify(self, parent)
    Overrides: simplify from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
class Choice(Ft.Xml.ThirdParty.Xvif.rng._Compositor, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self, p1=<Ft.Xml.ThirdParty.Xvif.rng.Undefined instance at 0xb77f4f6c>, p2=<Ft.Xml.ThirdParty.Xvif.rng.NotAllowed instance at 0xb77f4fac>)
    Overrides: __init__ from class _Compositor
  __str__(self)
    Overrides: __str__ from class _Compositor
  append(self, p)
    Overrides: append from class _Compositor
  checkAttributeContent(self)
    Overrides: checkAttributeContent from class _Compositor
  deriv(self, node)
    Overrides: deriv from class _Compositor
  endElementNS(self, schema, name, qname)
    Overrides: endElementNS from class _Compositor
  expand(self)
    Overrides: expand from class _Compositor
  nullable(self)
    Overrides: nullable from class _Compositor
  simplify(self, parent)
    Overrides: simplify from class _Compositor

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Compositor

  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Pattern
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Pattern
  subPatterns(self)
    Overrides: subPatterns from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
  startElementNS(self, schema, name, qname, attrs)
class Context

  ### Methods

  __init__(self)
  addPrefix(self, prefix, uri)
  getUri(self)
  getUriByPrefix(self, prefix)
  popUri(self)
  pushUri(self, uri)
  removePrefix(self, prefix)
class Data(Ft.Xml.ThirdParty.Xvif.rng._Container, Ft.Xml.ThirdParty.Xvif.rng._TypedPattern)

  ### Methods

  __init__(self, p=<Ft.Xml.ThirdParty.Xvif.rng.Undefined instance at 0xb767efcc>)
    Overrides: __init__ from class _Container
  append(self, p)
    Overrides: append from class _Container
  deriv(self, node)
    Overrides: deriv from class _Container
  endElementNS(self, schema, name, qname)
    Data can be empty
    Overrides: endElementNS from class _Container
  nullable(self)
    Overrides: nullable from class _Container

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Container

  checkAttributeContent(self)
    Overrides: checkAttributeContent from class _Pattern
  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Pattern
  expand(self)
    Overrides: expand from class _Pattern
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Pattern
  simplify(self, parent)
    Overrides: simplify from class _Pattern
  subPatterns(self)
    Overrides: subPatterns from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  __str__(self)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._TypedPattern

  set_type(self, context, type)
  startElementNS(self, schema, name, qname, attrs)
    Overrides: startElementNS from class _Callback

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
class Define(Ft.Xml.ThirdParty.Xvif.rng._Container, Ft.Xml.ThirdParty.Xvif.rng._Callback, Ft.Xml.ThirdParty.Xvif.rng._Named)

  ### Methods

  __init__(self, p=<Ft.Xml.ThirdParty.Xvif.rng.Undefined instance at 0xb77fb30c>)
    Overrides: __init__ from class _Container
  __str__(self)
    Overrides: __str__ from class _Container
  endElementNS(self, schema, name, qname)
    Overrides: endElementNS from class _Container
  expandAsGroup(self)
  isSimple(self)
    Overrides: isSimple from class _Container
  qualifyDef(self, id)
  set_combine(self, context, value)
  simplify(self, parent)
    Overrides: simplify from class _Container
  startElementNS(self, schema, name, qname, attrs)
    Overrides: startElementNS from class _Callback

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Container

  append(self, p)
    Overrides: append from class _Pattern
  checkAttributeContent(self)
    Overrides: checkAttributeContent from class _Pattern
  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Pattern
  deriv(self, node)
    Overrides: deriv from class _Pattern
  expand(self)
    Overrides: expand from class _Pattern
  nullable(self)
    Overrides: nullable from class _Pattern
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Pattern
  subPatterns(self)
    Overrides: subPatterns from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Named

  checkName(self)
  set_name(self, context, value, test=1)
class Div(Ft.Xml.ThirdParty.Xvif.rng._Callback, Ft.Xml.ThirdParty.Xvif.rng._Pattern)

  ### Methods

  __init__(self)
    Overrides: __init__ from class _Callback
  append(self, p)
    Overrides: append from class _Pattern
  startElementNS(self, schema, name, qname, attrs)
    Overrides: startElementNS from class _Callback

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  endElementNS(self, schema, name, qname)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  __str__(self)
  checkAttributeContent(self)
  checkRecursion(self, depth)
  deriv(self, node)
  expand(self)
  isSimple(self)
  nullable(self)
  path(self)
  qualifyRefs(self, id, grammar)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)
  simplify(self, parent)
  subPatterns(self)
class Element(Ft.Xml.ThirdParty.Xvif.rng._Container, Ft.Xml.ThirdParty.Xvif.rng._Callback, Ft.Xml.ThirdParty.Xvif.rng._Named)

  ### Methods

  __init__(self, nc=None, p=<Ft.Xml.ThirdParty.Xvif.rng.Undefined instance at 0xb77fb24c>, g=None)
    Overrides: __init__ from class _Container
  __str__(self)
    Overrides: __str__ from class _Container
  attributesDeriv(self, children)
  checkAttributeContent(self)
    Overrides: checkAttributeContent from class _Container
  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Container
  childrenDeriv(self, children)
  deriv(self, node)
    Overrides: deriv from class _Container
  endElementNS(self, schema, name, qname)
    Overrides: endElementNS from class _Container
  endTagDeriv(self, node)
  expand(self)
    Overrides: expand from class _Container
  nullable(self)
    Overrides: nullable from class _Container
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Container
  set_name(self, context, localName)
    Overrides: set_name from class _Named
  startElementNS(self, schema, name, qname, attrs)
    Overrides: startElementNS from class _Callback
  startTagCloseDeriv(self)
  startTagOpenDeriv(self, qname)
  subPatterns(self)
    Overrides: subPatterns from class _Container

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Container

  append(self, p)
    Overrides: append from class _Pattern
  simplify(self, parent)
    Overrides: simplify from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Named

  checkName(self)
class Empty(Ft.Xml.ThirdParty.Xvif.rng._Pattern, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self)
    Overrides: __init__ from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  __str__(self)
  append(self, p)
  checkAttributeContent(self)
  checkRecursion(self, depth)
  deriv(self, node)
  expand(self)
  isSimple(self)
  nullable(self)
  path(self)
  qualifyRefs(self, id, grammar)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)
  simplify(self, parent)
  subPatterns(self)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  endElementNS(self, schema, name, qname)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
  startElementNS(self, schema, name, qname, attrs)
class Except(Ft.Xml.ThirdParty.Xvif.rng._Container, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self, p=<Ft.Xml.ThirdParty.Xvif.rng.Undefined instance at 0xb77e40cc>)
    Overrides: __init__ from class _Container
  append(self, p)
    Overrides: append from class _Container
  deriv(self, node)
    Overrides: deriv from class _Container
  nullable(self)
    Overrides: nullable from class _Container
  simplify(self, parent)
    Overrides: simplify from class _Container

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Container

  checkAttributeContent(self)
    Overrides: checkAttributeContent from class _Pattern
  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Pattern
  endElementNS(self, schema, name, qname)
  expand(self)
    Overrides: expand from class _Pattern
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Pattern
  subPatterns(self)
    Overrides: subPatterns from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  __str__(self)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
  startElementNS(self, schema, name, qname, attrs)
class Grammar(Ft.Xml.ThirdParty.Xvif.rng._Callback, Ft.Xml.ThirdParty.Xvif.rng._Pattern)

  ### Methods

  __init__(self, parent=None)
    Overrides: __init__ from class _Callback
  __str__(self)
    Overrides: __str__ from class _Pattern
  addDef(self, name, pattern=<Ft.Xml.ThirdParty.Xvif.rng.NotAllowed instance at 0xb77fb26c>)
  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Pattern
  deriv(self, node)
    Overrides: deriv from class _Pattern
  endElementNS(self, schema, name, qname)
    Overrides: endElementNS from class _Callback
  expand(self)
    Overrides: expand from class _Pattern
  getDef(self, name)
  getPrefix(self, uri)
  normalizeNsUris(self)
  setStart(self, p)
  simplify(self, parent)
    Overrides: simplify from class _Pattern
  start(self)
  startElementNS(self, schema, name, qname, attrs)
    Overrides: startElementNS from class _Callback
  subPatterns(self)
    Overrides: subPatterns from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  append(self, p)
  checkAttributeContent(self)
  isSimple(self)
  nullable(self)
  path(self)
  qualifyRefs(self, id, grammar)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)
class Group(Ft.Xml.ThirdParty.Xvif.rng._Compositor, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self, p1=<Ft.Xml.ThirdParty.Xvif.rng.Undefined instance at 0xb77e4e2c>, p2=<Ft.Xml.ThirdParty.Xvif.rng.Empty instance at 0xb77f4ecc>)
    Overrides: __init__ from class _Compositor
  __str__(self)
    Overrides: __str__ from class _Compositor
  checkAttributeContent(self)
    Overrides: checkAttributeContent from class _Compositor
  deriv(self, node)
    Overrides: deriv from class _Compositor
  nullable(self)
    Overrides: nullable from class _Compositor

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Compositor

  append(self, p, cl=None)
    Overrides: append from class _Pattern
  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Pattern
  endElementNS(self, schema, name, qname)
  expand(self)
    Overrides: expand from class _Pattern
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Pattern
  simplify(self, parent)
    Overrides: simplify from class _Pattern
  subPatterns(self)
    Overrides: subPatterns from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
  startElementNS(self, schema, name, qname, attrs)
class Interleave(Ft.Xml.ThirdParty.Xvif.rng._Compositor, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self, p1=<Ft.Xml.ThirdParty.Xvif.rng.Undefined instance at 0xb77fb02c>, p2=<Ft.Xml.ThirdParty.Xvif.rng.Empty instance at 0xb77fb04c>)
    Overrides: __init__ from class _Compositor
  __str__(self)
    Overrides: __str__ from class _Compositor
  deriv(self, node)
    Overrides: deriv from class _Compositor
  nullable(self)
    Overrides: nullable from class _Compositor

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Compositor

  append(self, p, cl=None)
    Overrides: append from class _Pattern
  checkAttributeContent(self)
    Overrides: checkAttributeContent from class _Pattern
  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Pattern
  endElementNS(self, schema, name, qname)
  expand(self)
    Overrides: expand from class _Pattern
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Pattern
  simplify(self, parent)
    Overrides: simplify from class _Pattern
  subPatterns(self)
    Overrides: subPatterns from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
  startElementNS(self, schema, name, qname, attrs)
class List(Ft.Xml.ThirdParty.Xvif.rng._Container, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self, p=<Ft.Xml.ThirdParty.Xvif.rng.Undefined instance at 0xb77f4f2c>)
    Overrides: __init__ from class _Container
  deriv(self, node)
    Overrides: deriv from class _Container

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Container

  append(self, p)
    Overrides: append from class _Pattern
  checkAttributeContent(self)
    Overrides: checkAttributeContent from class _Pattern
  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Pattern
  endElementNS(self, schema, name, qname)
  expand(self)
    Overrides: expand from class _Pattern
  nullable(self)
    Overrides: nullable from class _Pattern
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Pattern
  simplify(self, parent)
    Overrides: simplify from class _Pattern
  subPatterns(self)
    Overrides: subPatterns from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  __str__(self)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
  startElementNS(self, schema, name, qname, attrs)
class Mixed(Interleave, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self, p1=<Ft.Xml.ThirdParty.Xvif.rng.Undefined instance at 0xb77fb14c>, p2=<Ft.Xml.ThirdParty.Xvif.rng.Empty instance at 0xb77fb18c>)
    Overrides: __init__ from class Interleave
  endElementNS(self, schema, name, qname)
    Overrides: endElementNS from class Interleave

  ### Methods inherited from class Interleave

  __str__, deriv, nullable

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Compositor

  append(self, p, cl=None)
    Overrides: append from class _Pattern
  checkAttributeContent(self)
    Overrides: checkAttributeContent from class _Pattern
  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Pattern
  expand(self)
    Overrides: expand from class _Pattern
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Pattern
  simplify(self, parent)
    Overrides: simplify from class _Pattern
  subPatterns(self)
    Overrides: subPatterns from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
  startElementNS(self, schema, name, qname, attrs)
class NameClass

  ### Methods

  contains(self, QName)
class NotAllowed(Ft.Xml.ThirdParty.Xvif.rng._Pattern, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self, msg=u'')
    Overrides: __init__ from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  __str__(self)
  append(self, p)
  checkAttributeContent(self)
  checkRecursion(self, depth)
  deriv(self, node)
  expand(self)
  isSimple(self)
  nullable(self)
  path(self)
  qualifyRefs(self, id, grammar)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)
  simplify(self, parent)
  subPatterns(self)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  endElementNS(self, schema, name, qname)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
  startElementNS(self, schema, name, qname, attrs)
class OneOrMore(Ft.Xml.ThirdParty.Xvif.rng._Container, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self, p=<Ft.Xml.ThirdParty.Xvif.rng.Undefined instance at 0xb77e4dcc>)
    Overrides: __init__ from class _Container
  __str__(self)
    Overrides: __str__ from class _Container
  append(self, p)
    Overrides: append from class _Container
  checkAttributeContent(self)
    Overrides: checkAttributeContent from class _Container
  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Container
  deriv(self, node)
    Overrides: deriv from class _Container
  endElementNS(self, schema, name, qname)
    Overrides: endElementNS from class _Container
  expand(self)
    Overrides: expand from class _Container
  nullable(self)
    Overrides: nullable from class _Container
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Container
  subPatterns(self)
    Overrides: subPatterns from class _Container

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Container

  simplify(self, parent)
    Overrides: simplify from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
  startElementNS(self, schema, name, qname, attrs)
class Optional(Choice, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self, p=<Ft.Xml.ThirdParty.Xvif.rng.Undefined instance at 0xb77fb0ec>)
    Overrides: __init__ from class Choice
  append(self, p)
    Overrides: append from class Choice
  endElementNS(self, schema, name, qname)
    Overrides: endElementNS from class Choice

  ### Methods inherited from class Choice

  __str__, checkAttributeContent, deriv, expand, nullable, simplify

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Compositor

  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Pattern
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Pattern
  subPatterns(self)
    Overrides: subPatterns from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
  startElementNS(self, schema, name, qname, attrs)
class PSEUDO_TEXT_NODE(unicode)

  ### Methods

  __init__(self, value)
    Overrides: __init__ from class unicode

  ### Methods inherited from class unicode

  __add__, __contains__, __eq__, __ge__, __getattribute__, __getitem__, __getnewargs__, __getslice__, __gt__, __hash__, __le__, __len__, __lt__, __mod__, __mul__, __ne__, __new__, __repr__, __rmod__, __rmul__, __str__, capitalize, center, count, decode, encode, endswith, expandtabs, find, index, isalnum, isalpha, isdecimal, isdigit, islower, isnumeric, isspace, istitle, isupper, join, ljust, lower, lstrip, partition, replace, rfind, rindex, rjust, rpartition, rsplit, rstrip, split, splitlines, startswith, strip, swapcase, title, translate, upper, zfill

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Members

  __dict__ = <attribute '__dict__' of 'PseudoTextNode' objects>
  __weakref__ = <attribute '__weakref__' of 'PseudoTextNode' objects>

  ### Members inherited from class object

  __class__
class Param(Ft.Xml.ThirdParty.Xvif.rng._Pattern, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self)
    Overrides: __init__ from class _Pattern
  characters(self, content)
    Overrides: characters from class _Callback
  deriv(self, node)
    Overrides: deriv from class _Pattern
  endElementNS(self, schema, name, qname)
    Overrides: endElementNS from class _Callback
  set_name(self, context, name)
  startElementNS(self, schema, name, qname, attrs)
    Overrides: startElementNS from class _Callback

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  __str__(self)
  append(self, p)
  checkAttributeContent(self)
  checkRecursion(self, depth)
  expand(self)
  isSimple(self)
  nullable(self)
  path(self)
  qualifyRefs(self, id, grammar)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)
  simplify(self, parent)
  subPatterns(self)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
class PatternRef(Ref, Ft.Xml.ThirdParty.Xvif.rng._Callback, Ft.Xml.ThirdParty.Xvif.rng._Named)

  ### Methods

  __init__(self)
    Overrides: __init__ from class Ref
  checkRecursion(self, depth)
    Overrides: checkRecursion from class Ref

  ### Methods inherited from class Ref

  __str__, checkAttributeContent, deriv, expand, nullable, qualifyRefs, startElementNS

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  append(self, p)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)
  simplify(self, parent)
  subPatterns(self)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  endElementNS(self, schema, name, qname)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Named

  checkName(self)
  set_name(self, context, value, test=1)
class PseudoTextNode(unicode)

  ### Methods

  __init__(self, value)
    Overrides: __init__ from class unicode

  ### Methods inherited from class unicode

  __add__, __contains__, __eq__, __ge__, __getattribute__, __getitem__, __getnewargs__, __getslice__, __gt__, __hash__, __le__, __len__, __lt__, __mod__, __mul__, __ne__, __new__, __repr__, __rmod__, __rmul__, __str__, capitalize, center, count, decode, encode, endswith, expandtabs, find, index, isalnum, isalpha, isdecimal, isdigit, islower, isnumeric, isspace, istitle, isupper, join, ljust, lower, lstrip, partition, replace, rfind, rindex, rjust, rpartition, rsplit, rstrip, split, splitlines, startswith, strip, swapcase, title, translate, upper, zfill

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__

  ### Members

  __dict__ = <attribute '__dict__' of 'PseudoTextNode' objects>
  __weakref__ = <attribute '__weakref__' of 'PseudoTextNode' objects>

  ### Members inherited from class object

  __class__
class QName(NameClass)

  ### Methods

  __cmp__(self, other)
  __init__(self, name, uri=None, context=None)
  __str__(self)
  contains(self, qname)
    Overrides: contains from class NameClass
class Ref(Ft.Xml.ThirdParty.Xvif.rng._Pattern, Ft.Xml.ThirdParty.Xvif.rng._Callback, Ft.Xml.ThirdParty.Xvif.rng._Named)

  ### Methods

  __init__(self)
    Overrides: __init__ from class _Pattern
  __str__(self)
    Overrides: __str__ from class _Pattern
  checkAttributeContent(self)
    Overrides: checkAttributeContent from class _Pattern
  deriv(self, node)
    Overrides: deriv from class _Pattern
  expand(self)
    Overrides: expand from class _Pattern
  nullable(self)
    Overrides: nullable from class _Pattern
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Pattern
  startElementNS(self, schema, name, qname, attrs)
    Overrides: startElementNS from class _Callback

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  append(self, p)
  checkRecursion(self, depth)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)
  simplify(self, parent)
  subPatterns(self)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  endElementNS(self, schema, name, qname)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Named

  checkName(self)
  set_name(self, context, value, test=1)
class RngParser(xml.sax.handler.ContentHandler, Ft.Xml.ThirdParty.Xvif.rng._Callback, Ft.Xml.ThirdParty.Xvif.rng._Pattern)

  ### Methods

  __init__(self)
    Overrides: __init__ from class ContentHandler
  __str__(self)
    Overrides: __str__ from class _Pattern
  append(self, element)
    Overrides: append from class _Pattern
  appendMe(self)
  characters(self, content)
    Overrides: characters from class ContentHandler
  deriv(self, node)
    Overrides: deriv from class _Pattern
  divertEventsTo(self, handler)
  endDocument(self)
    Overrides: endDocument from class ContentHandler
  endElementNS(self, (uri, name), qname)
    Overrides: endElementNS from class ContentHandler
  endPrefixMapping(self, prefix)
    Overrides: endPrefixMapping from class ContentHandler
  previousElement(self)
  startElementNS(self, (uri, name), qname, attrs)
    Overrides: startElementNS from class ContentHandler
  startPrefixMapping(self, prefix, uri)
    Overrides: startPrefixMapping from class ContentHandler
  unKnownElement(self, uri, name)

  ### Methods inherited from class xml.sax.handler.ContentHandler

  endElement, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  checkAttributeContent(self)
  checkRecursion(self, depth)
  expand(self)
  isSimple(self)
  nullable(self)
  path(self)
  qualifyRefs(self, id, grammar)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)
  simplify(self, parent)
  subPatterns(self)

  ### Members

  callbacks = {'http://namespaces.xmlschemata.org/xvif/iframe': {'apply': <class Ft.Xml.ThirdParty.Xvif.iframe.Apply at 0xb77d98fc>, 'pipe': <class Ft.Xml.ThirdParty.Xvif.iframe.Pipe at 0xb77df11c>, 'transform': <class Ft.Xml.ThirdParty.Xvif.iframe.Transform at 0xb77cab6c>, 'validate': <class Ft.Xml.ThirdParty.Xvif.iframe.Validate at 0xb77d9f8c>}, 'http://relaxng.org/ns/structure/1.0': {'attribute': <class Ft.Xml.ThirdParty.Xvif.rng.Attribute at 0xb77e947c>, 'choice': <class Ft.Xml.ThirdParty.Xvif.rng.Choice at 0xb77e3cec>, 'data': <class Ft.Xml.ThirdParty.Xvif.rng.Data at 0xb77dfbfc>, 'define': <class Ft.Xml.ThirdParty.Xvif.rng.Define at 0xb77ee17c>, 'div': <class Ft.Xml.ThirdParty.Xvif.rng.Div at 0xb77e965c>, 'element': <class Ft.Xml.ThirdParty.Xvif.rng.Element at 0xb77e968c>, 'empty': <class Ft.Xml.ThirdParty.Xvif.rng.Empty at 0xb76803bc>, 'except': <class Ft.Xml.ThirdParty.Xvif.rng.Except at 0xb77dfe0c>, 'grammar': <class Ft.Xml.ThirdParty.Xvif.rng.Grammar at 0xb77ee4dc>, 'group': <class Ft.Xml.ThirdParty.Xvif.rng.Group at 0xb77e37dc>, ...}}
  typeLibraries = {'': 'rngCoreTypeLib', 'http://www.w3.org/2001/XMLSchema-datatypes': 'wxsTypeLib'}
class Start(Define)

  ### Methods

  __init__(self)
    Overrides: __init__ from class Define
  __str__(self)
    Overrides: __str__ from class Define
  append(self, p)
    Overrides: append from class Define
  isSimple(self)
    Overrides: isSimple from class Define
  set_name(self, context, value)
    Overrides: set_name from class Define

  ### Methods inherited from class Define

  endElementNS, expandAsGroup, qualifyDef, set_combine, simplify, startElementNS

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Container

  checkAttributeContent(self)
    Overrides: checkAttributeContent from class _Pattern
  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Pattern
  deriv(self, node)
    Overrides: deriv from class _Pattern
  expand(self)
    Overrides: expand from class _Pattern
  nullable(self)
    Overrides: nullable from class _Pattern
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Pattern
  subPatterns(self)
    Overrides: subPatterns from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Named

  checkName(self)
class Text(Empty, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self)
    Overrides: __init__ from class Empty
  deriv(self, node)
    Overrides: deriv from class Empty

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  __str__(self)
  append(self, p)
  checkAttributeContent(self)
  checkRecursion(self, depth)
  expand(self)
  isSimple(self)
  nullable(self)
  path(self)
  qualifyRefs(self, id, grammar)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)
  simplify(self, parent)
  subPatterns(self)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  endElementNS(self, schema, name, qname)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
  startElementNS(self, schema, name, qname, attrs)
class Undefined(Ft.Xml.ThirdParty.Xvif.rng._Pattern)

  ### Methods

  __init__(self)
    Overrides: __init__ from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  __str__(self)
  append(self, p)
  checkAttributeContent(self)
  checkRecursion(self, depth)
  deriv(self, node)
  expand(self)
  isSimple(self)
  nullable(self)
  path(self)
  qualifyRefs(self, id, grammar)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)
  simplify(self, parent)
  subPatterns(self)
class Value(Ft.Xml.ThirdParty.Xvif.rng._TypedPattern)

  ### Methods

  __init__(self)
    Overrides: __init__ from class _TypedPattern
  characters(self, content)
    Overrides: characters from class _TypedPattern
  deriv(self, node)
    Overrides: deriv from class _TypedPattern
  endElementNS(self, schema, name, qname)
    Overrides: endElementNS from class _TypedPattern
  isOpen(self)
    Overrides: isOpen from class _TypedPattern
  setValue(self, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._TypedPattern

  set_type(self, context, type)
  startElementNS(self, schema, name, qname, attrs)
    Overrides: startElementNS from class _Callback

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  __str__(self)
  append(self, p)
  checkAttributeContent(self)
  checkRecursion(self, depth)
  expand(self)
  isSimple(self)
  nullable(self)
  path(self)
  qualifyRefs(self, id, grammar)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)
  simplify(self, parent)
  subPatterns(self)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  defaultNs(self, context)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
class ZeroOrMore(Choice, Ft.Xml.ThirdParty.Xvif.rng._Callback)

  ### Methods

  __init__(self, p=<Ft.Xml.ThirdParty.Xvif.rng.Undefined instance at 0xb77fb0ac>)
    Overrides: __init__ from class Choice
  append(self, p)
    Overrides: append from class Choice
  endElementNS(self, schema, name, qname)
    Overrides: endElementNS from class Choice

  ### Methods inherited from class Choice

  __str__, checkAttributeContent, deriv, expand, nullable, simplify

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Compositor

  checkRecursion(self, depth)
    Overrides: checkRecursion from class _Pattern
  qualifyRefs(self, id, grammar)
    Overrides: qualifyRefs from class _Pattern
  subPatterns(self)
    Overrides: subPatterns from class _Pattern

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Pattern

  __cmp__(self, other)
  isSimple(self)
  path(self)
  selfValidate(self, prohibitions)
  setParent(self, parent)
  set_ns(self, context, value)

  ### Methods inherited from class Ft.Xml.ThirdParty.Xvif.rng._Callback

  characters(self, content)
  defaultNs(self, context)
  isOpen(self)
  setGrammar(self, grammar)
  set_datatypeLibrary(self, context, library)
  startElementNS(self, schema, name, qname, attrs)
class rngTypeLib
  Abstract class which should be derived.

  ### Methods

  __init__(self, value)
  isEqual(self, value)
  isValid(self)
  toString(self)

## Functions

ImportModule(modname)
  Helper import funation based on example in std Python docs: http://docs.python.org/lib/built-in-funcs.html

## Globals

IMPORT_PREFIX = 'Ft.Xml.ThirdParty.Xvif.'
RngAbstractException = 'RngAbstractException'
RngSchemaInvalidException = 'RngSchemaInvalidException'
RngSchemaInvalidRecursionException = 'RngSchemaInvalidRecursionException'
XMLNS_NAMESPACE = 'http://www.w3.org/2000/xmlns/'
ascii_letters = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ'
ascii_lowercase = 'abcdefghijklmnopqrstuvwxyz'
ascii_uppercase = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'
digits = '0123456789'
empty = <Ft.Xml.ThirdParty.Xvif.rng.Empty instance at 0xb77fb2ac>
hexdigits = '0123456789abcdefABCDEF'
letters = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ'
lowercase = 'abcdefghijklmnopqrstuvwxyz'
notAllowed = <Ft.Xml.ThirdParty.Xvif.rng.NotAllowed instance at 0xb77fb26c>
octdigits = '01234567'
printable = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ!"#$%&\'()*+,-./:;<=>?@[\\]^_`{|}~ \t\n\r\x0b\x0c'
punctuation = '!"#$%&\'()*+,-./:;<=>?@[\\]^_`{|}~'
undef = <Ft.Xml.ThirdParty.Xvif.rng.Undefined instance at 0xb77fb2cc>
undefined = '::undefined::'
uppercase = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'
whitespace = '\t\n\x0b\x0c\r '